commit:     555d2144ffdac351bab4b7f67a8a2e832a2ca659
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Sat Feb  6 15:33:29 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Sat Feb  6 15:39:11 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=555d2144

dev-ml/js_of_ocaml: add ppx useflag

Package-Manager: portage-2.2.27
Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>

 dev-ml/js_of_ocaml/js_of_ocaml-2.7.ebuild | 4 +++-
 dev-ml/js_of_ocaml/metadata.xml           | 1 +
 2 files changed, 4 insertions(+), 1 deletion(-)

diff --git a/dev-ml/js_of_ocaml/js_of_ocaml-2.7.ebuild 
b/dev-ml/js_of_ocaml/js_of_ocaml-2.7.ebuild
index 060d3ca..1f8b9b0 100644
--- a/dev-ml/js_of_ocaml/js_of_ocaml-2.7.ebuild
+++ b/dev-ml/js_of_ocaml/js_of_ocaml-2.7.ebuild
@@ -13,13 +13,14 @@ 
SRC_URI="https://github.com/ocsigen/js_of_ocaml/archive/${PV}.tar.gz -> ${P}.tar
 LICENSE="LGPL-2.1-with-linking-exception"
 SLOT="0/${PV}"
 KEYWORDS="~amd64"
-IUSE="+ocamlopt doc +deriving +react +xml X"
+IUSE="+ocamlopt doc +deriving +ppx +react +xml X"
 
 DEPEND="
        >=dev-lang/ocaml-3.12:=[ocamlopt?,X?]
        >=dev-ml/lwt-2.4.4:=
        react? ( dev-ml/react:=  dev-ml/reactiveData:= )
        xml? ( >=dev-ml/tyxml-3.6:= )
+       ppx? ( dev-ml/ppx_tools:= )
        dev-ml/cmdliner:=
        dev-ml/menhir:=
        dev-ml/ocaml-base64:=
@@ -35,6 +36,7 @@ src_configure() {
        use deriving || echo "WITH_DERIVING := NO" >> Makefile.conf
        use X || echo "WITH_GRAPHICS := NO" >> Makefile.conf
        use react || echo "WITH_REACT := NO" >> Makefile.conf
+       use ppx || echo "WITH_PPX := NO" >> Makefile.conf
 }
 
 src_compile() {

diff --git a/dev-ml/js_of_ocaml/metadata.xml b/dev-ml/js_of_ocaml/metadata.xml
index d3fd68e..904a7a4 100644
--- a/dev-ml/js_of_ocaml/metadata.xml
+++ b/dev-ml/js_of_ocaml/metadata.xml
@@ -7,6 +7,7 @@
   </maintainer>
   <use>
     <flag name="deriving">Enable <pkg>dev-ml/deriving</pkg> support for 
improving the type safety.</flag>
+       <flag name="ppx">Enables the ppx syntax extension</flag>
        <flag name="react">Enable functionnal reactive programming 
support.</flag>
   </use>
   <upstream>

Reply via email to